Skip to content
Search
Search the documentation
OAuthRefreshTokenRequestBody
GitHub GitHub

OAuthRefreshTokenRequestBody

Interface: OAuthRefreshTokenRequestBody

Defined in: v1/types/oauth.ts:130

Request body for exchanging a refresh token for a new access token. Refresh tokens rotate on use - store the new refresh_token from the response and discard the old one. client_secret may be omitted if sent instead as HTTP Basic authentication.

  • POST /v1/oauth2/token

Properties

client_id

client_id: string

Defined in: v1/types/oauth.ts:139

Your OAuth app’s client ID.


client_secret?

optional client_secret?: string

Defined in: v1/types/oauth.ts:143

Your OAuth app’s client secret. Can be sent as HTTP Basic authentication instead.


grant_type

grant_type: "refresh_token"

Defined in: v1/types/oauth.ts:131


refresh_token

refresh_token: string

Defined in: v1/types/oauth.ts:135

The refresh token from a previous token response.


scope?

optional scope?: string

Defined in: v1/types/oauth.ts:148

Space-separated subset of the granted scopes to narrow the new access token. Defaults to all granted scopes.